/* Set the defaults to match your preferences. Differences and utility are
 * explained in the README file. The values must be between 0 and 255 */
#define DEFAULT_VERBOSE     1
#define DEFAULT_STRICT      1
#define DEFAULT_INTERACTIVE 0

/* pwchk will check that the all the following users exist, have the
 * correct uid and that this uid is unique. You can add, remove or change
 * entries as you wish, as long.
 * 
 * The first field is the user name, the second is the uid, and the third
 * must be set to false.
 */
struct magic_uid_entry magic_uid[] =
  {    
    { "root",     0, false },
    { "bin",      1, false },
    { "daemon",   2, false },
    { "adm",      3, false },
    { "lp",       4, false },
    { "sync",     5, false },
    { "shutdown", 6, false },
    { "halt",     7, false },
    { "mail",     8, false },
    { "news",     9, false },
    { 0,          0, false }    /* do not remove this entry */
  };

/* -- End of user customizable part */


void verbose (int level, char *format, ...);
bool checkpasswdfile (void);
bool checkpwent (struct passwd *pw);
void showhelp (void);
void showversion (void);
bool checkmagicuids (void);
struct magic_uid_entry* findUidEntry (const char * const name);

struct
  {  
    int verbose;
    int strict;
    int interactive;
  } flag;
